diff --git a/acct-group/wsdd/metadata.xml b/acct-group/wsdd/metadata.xml
new file mode 100644
index 0000000..55fffcf
--- /dev/null
+++ b/acct-group/wsdd/metadata.xml
@@ -0,0 +1,8 @@
+
+
+
+
+ mail@s14u.de
+ Steffen Christgau
+
+
diff --git a/acct-group/wsdd/wsdd-0.ebuild b/acct-group/wsdd/wsdd-0.ebuild
new file mode 100644
index 0000000..b780b0a
--- /dev/null
+++ b/acct-group/wsdd/wsdd-0.ebuild
@@ -0,0 +1,10 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit acct-group
+
+DESCRIPTION="Group for net-misc/wsdd"
+# might become 513 (month-day of initial user/group ebuild creation) in the future
+ACCT_GROUP_ID=-1
diff --git a/acct-user/wsdd/metadata.xml b/acct-user/wsdd/metadata.xml
new file mode 100644
index 0000000..55fffcf
--- /dev/null
+++ b/acct-user/wsdd/metadata.xml
@@ -0,0 +1,8 @@
+
+
+
+
+ mail@s14u.de
+ Steffen Christgau
+
+
diff --git a/acct-user/wsdd/wsdd-0.ebuild b/acct-user/wsdd/wsdd-0.ebuild
new file mode 100644
index 0000000..54f6e91
--- /dev/null
+++ b/acct-user/wsdd/wsdd-0.ebuild
@@ -0,0 +1,13 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit acct-user
+
+DESCRIPTION="User for net-misc/wsdd"
+# might become 513 (month-day of initial user/group ebuild creation) in the future
+ACCT_USER_ID=-1
+ACCT_USER_GROUPS=( ${PN} )
+
+acct-user_add_deps
diff --git a/net-misc/wsdd/Manifest b/net-misc/wsdd/Manifest
new file mode 100644
index 0000000..181db47
--- /dev/null
+++ b/net-misc/wsdd/Manifest
@@ -0,0 +1 @@
+DIST wsdd-0.8.tar.gz 40455 BLAKE2B e4b8e29073b6ea23b73d2f740f6dbabd8c90b615de32d9972c59e5a822daf6232fcdeafb180492a37c4a29ec266c733b160376abedce3b6a90feded2aed25aa2 SHA512 e3e5164f9ebe39c979456169bf1b0c6c4cd974792f08fa4dfab9c313fba88ae1208a8112db09c3655719b4e26bfc2616f844f17d2a245132c2f5b22e978e3c20
diff --git a/net-misc/wsdd/metadata.xml b/net-misc/wsdd/metadata.xml
new file mode 100644
index 0000000..e9961b3
--- /dev/null
+++ b/net-misc/wsdd/metadata.xml
@@ -0,0 +1,16 @@
+
+
+
+
+ christgau/wsdd
+
+
+ mail@s14u.de
+ Steffen Christgau
+
+
+ A Web Service Discovery host daemon. It enables (Samba) hosts,
+ e.g. NAS devices, to be found by Web Service Discovery Clients
+ like Windows.
+
+
diff --git a/net-misc/wsdd/wsdd-0.8.ebuild b/net-misc/wsdd/wsdd-0.8.ebuild
new file mode 100644
index 0000000..32c05c4
--- /dev/null
+++ b/net-misc/wsdd/wsdd-0.8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{11,12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit python-r1 systemd
+
+DESCRIPTION="A Web Service Discovery host daemon."
+HOMEPAGE="https://github.com/christgau/wsdd"
+SRC_URI="https://github.com/christgau/wsdd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+samba"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+# Samba is technically not a requirement of wsdd, but depend on it if the use flags is set.
+RDEPEND="${PYTHON_DEPS} acct-group/${PN} acct-user/${PN} samba? ( net-fs/samba )"
+BDEPEND=""
+
+src_install() {
+ python_foreach_impl python_newscript src/wsdd.py wsdd
+
+ # remove dependency on samba from init.d script if samba is not in use flags
+ if ! use samba ; then
+ sed -i -e '/need samba/d' etc/openrc/init.d/wsdd || die
+ fi
+
+ sed -i -e "s/daemon:daemon/${PN}:${PN}/" etc/openrc/init.d/wsdd || die
+
+ doinitd etc/openrc/init.d/wsdd
+ doconfd etc/openrc/conf.d/wsdd
+
+ # install systemd unit file with dependency on samba service if use flag is set
+ if use samba; then
+ sed -i -e 's/;Wants=smb.service/Wants=samba.service/' etc/systemd/wsdd.service || die
+ fi
+ systemd_dounit etc/systemd/wsdd.service
+
+ dodoc README.md
+ doman man/wsdd.8
+}